{% extends "app/base.html" %}
{% load static %}
{% load i18n %}
{% block title %}Habit Tracker{% endblock %}
{% block content %}
        <table class="info cell-border">
            <tr>
                <th>{% trans "Username" %}</th>
                <th>{% trans "Current date" %}</th>
                <th>{% trans "Open achievements" %}</th>
            </tr>
            <tr>
                <td>{{ user.username }}</td>
                <td>{{ date }}</td>
                <td>0/10</td>
            </tr>
        </table>
        <h2 class="own-header">
            {% trans "Habits" %}
            <button type="button"
                    onclick="toggle_edit_block()"
                    class="btn btn-edit" style="float: right">{%  trans "Edit" %}</button>
        </h2>
        <div id="edit-block" style="display: none">
            <form action="{% url 'add_habit' %}" method="post">
                {% csrf_token %}
                <input class="default-input" type="text" name="habit-name" id="habit-name" value="">
                <button type="submit" class="btn btn-add">{% trans "Add new habit" %}</button>
            </form>
            <br>
            <table>
                {% for habit in habits %}
                <tr>
                <form action="{% url 'delete_habit' habit.id %}" method="post">
                    {% csrf_token %}
                    <td style="width: 50%">{{ habit.name }}</td>
                    <td><button type="submit" class="btn btn-edit">{% trans "Delete" %}</button></td>
                </form>
                </tr>
                {% endfor %}
            </table>
            <br>
        </div>
        {% if habits %}
            <form action="{% url 'check' %}" method="post">
                {% csrf_token %}
                <table class="cell-border" style="width: 100%">
                    <tr>
                        <th>{% trans "Name" %}</th>
                                    {% for day in days %}
                                    <th>{{ day }}</th>
                                    {% endfor %}
                    </tr>
                    {% for habit in habits %}
                        <tr>
                            <td>{{ habit.name }}</td>
                            <td><input type="checkbox" class="custom-checkbox" name="checks" value="{{ habit.name }}"
                                {% if habit.is_checked_today %}checked{% endif %}></td>
                            {% for check in habit.get_checks_for_week %}
                                <td>
                                    <input type="checkbox"
                                    {% if check %}checked{% endif %} onclick="return false;">
                                </td>
                            {% endfor %}
                        </tr>
                    {% endfor %}
                </table>
                <button type="submit" class="btn btn-add">{% trans "Apply" %}</button>
            </form>
        {% else %}
            <div>{% trans "There is no habits yet" %}</div>
        {% endif %}
{% endblock %}